<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>MappingBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.builder</a></div>
<h2 title="Class MappingBuilder" class="title">Class MappingBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>MappingBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MappingBuilder</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MappingBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isrAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">isrAllocation</a></span>&#8203;(MappingModel&nbsp;container,
             Procedures.Procedure1&lt;ISRAllocation&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>MappingModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mappingModelRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">mappingModelRoot</a></span>&#8203;(Procedures.Procedure1&lt;MappingModel&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#memoryMapping(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">memoryMapping</a></span>&#8203;(MappingModel&nbsp;container,
             Procedures.Procedure1&lt;MemoryMapping&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#physicalSectionMapping(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">physicalSectionMapping</a></span>&#8203;(MappingModel&nbsp;container,
                      Procedures.Procedure1&lt;PhysicalSectionMapping&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#runnableAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">runnableAllocation</a></span>&#8203;(MappingModel&nbsp;container,
                  Procedures.Procedure1&lt;RunnableAllocation&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#schedulerAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">schedulerAllocation</a></span>&#8203;(MappingModel&nbsp;container,
                   Procedures.Procedure1&lt;SchedulerAllocation&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#taskAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">taskAllocation</a></span>&#8203;(MappingModel&nbsp;container,
              Procedures.Procedure1&lt;TaskAllocation&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MappingBuilder</h4>
<pre>public&nbsp;MappingBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="mappingModelRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mappingModelRoot</h4>
<pre class="methodSignature">public&nbsp;MappingModel&nbsp;mappingModelRoot&#8203;(Procedures.Procedure1&lt;MappingModel&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="isrAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isrAllocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;isrAllocation&#8203;(MappingModel&nbsp;container,
                          Procedures.Procedure1&lt;ISRAllocation&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="taskAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taskAllocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;taskAllocation&#8203;(MappingModel&nbsp;container,
                           Procedures.Procedure1&lt;TaskAllocation&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="runnableAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>runnableAllocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;runnableAllocation&#8203;(MappingModel&nbsp;container,
                               Procedures.Procedure1&lt;RunnableAllocation&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="schedulerAllocation(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>schedulerAllocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;schedulerAllocation&#8203;(MappingModel&nbsp;container,
                                Procedures.Procedure1&lt;SchedulerAllocation&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="memoryMapping(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>memoryMapping</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;memoryMapping&#8203;(MappingModel&nbsp;container,
                          Procedures.Procedure1&lt;MemoryMapping&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="physicalSectionMapping(org.eclipse.app4mc.amalthea.model.MappingModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>physicalSectionMapping</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;physicalSectionMapping&#8203;(MappingModel&nbsp;container,
                                   Procedures.Procedure1&lt;PhysicalSectionMapping&gt;&nbsp;initializer)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
